## org.eclipse.emf.ecoretools.tabbedproperties.sections
Class AbstractReferencePropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection
              org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractListPropertySection
                  org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractReferencePropertySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISection

    public abstract class AbstractReferencePropertySection

extends AbstractListPropertySection

This widget let the user to manipulate features with bounds higher than 1 This feature is also also non-containment, so the table will display a single button to select the references inside the model

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AbstractReferencePropertySection()`

Method Summary
`protected void` `createWidgets(org.eclipse.swt.widgets.Composite composite)` Section widgets should be created inside this method.
`protected void` `hookListeners()` Widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)` may listen platform events.
`protected void` `setSectionData(org.eclipse.swt.widgets.Composite composite)` This method should be implemented to set layout data to the widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)`.

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractListPropertySection
`addElement, createControls, getLabelProvider, getListValues, getTable, refresh, setTable, updateSelection`

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection

`aboutToBeHidden, aboutToBeShown, addListener, clearDecorators, createCommand, getActivePage, getEditingDomain, getEObject, getEObjectList, getFeature, getLabelText, getMainComposite, getMessageManager, getModelListener, getSectionComposite, getStandardLabelWidth, getStatusLineManager, handleModelChanged, isReadOnly, makeContributions, removeListener, setDecorator, setErrorDecorator, setErrorMessage, setInfoDecorator, setInput, setMessage, setWarningDecorator`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractReferencePropertySection

    public AbstractReferencePropertySection()

Method Detail

### createWidgets

    protected void createWidgets(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `AbstractTabbedPropertySection`
  Section widgets should be created inside this method. To set the layout data please implement the `AbstractTabbedPropertySection.setSectionData(Composite)` If widgets has listeners implement the `AbstractTabbedPropertySection.hookListeners()`.

  Overrides:
    `createWidgets` in class `AbstractListPropertySection`
  Parameters:
    `composite` - the parent Composite
  See Also:
    `AbstractListPropertySection.createWidgets(org.eclipse.swt.widgets.Composite)`

### setSectionData

    protected void setSectionData(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `AbstractTabbedPropertySection`
  This method should be implemented to set layout data to the widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)`. This improves visibility

  Overrides:
    `setSectionData` in class `AbstractListPropertySection`
  Parameters:
    `composite` - Sometimes widgets will be set formDatas and position will depend on parent composite.
  See Also:
    `AbstractListPropertySection.setSectionData(org.eclipse.swt.widgets.Composite)`

### hookListeners

    protected void hookListeners()

  Description copied from class: `AbstractTabbedPropertySection`
  Widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)` may listen platform events. Set them here in order to improve visibility

  Overrides:
    `hookListeners` in class `AbstractListPropertySection`
  See Also:
    `AbstractListPropertySection.hookListeners()`

Copyright 2007 Anyware Technologies. All Rights Reserved.